/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Control.java
 * Created:     November 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Control class for ASETS project
 */

package asets.api;

import java.util.Calendar;
import java.util.Date;


public class Control implements java.io.Serializable
{
    private String userID;
    private Date controlTime;
    private Enums.ControlType controlType;
    private String requestText;
    private String replyText;
    private String control1;
    private String control2;
    private String control3;
    private String control4;
    private String control5;

    /** Control constructor - without parameters
     *
     */
    public Control()
    {
        this.userID = null;
        this.controlTime = null;
        this.controlType = null;
        this.requestText = null;
        this.replyText = null;
        this.control1 = null;
        this.control2 = null;
        this.control3 = null;
        this.control4 = null;
        this.control5 = null;
    }

    /** Control constructor - with parameters
     *
     */
    public Control(String userID, Enums.ControlType controlType, String requestText)
    {
        this.userID = userID;
        this.controlTime = Calendar.getInstance().getTime();
        this.controlType = controlType;
        this.requestText = requestText;
        this.replyText = null;
        this.control1 = null;
        this.control2 = null;
        this.control3 = null;
        this.control4 = null;
        this.control5 = null;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

    public Date getControlTime()
    {
        return this.controlTime;
    }

    public void setControlTime(Date controlTime)
    {
        this.controlTime = controlTime;
    }

    public Enums.ControlType getControlType()
    {
        return this.controlType;
    }

    public void setControlType(Enums.ControlType controlType)
    {
        this.controlType = controlType;
    }

    public String getRequestText()
    {
        return this.requestText;
    }

    public void setRequestText(String requestText)
    {
        this.requestText = requestText;
    }

    public String getReplyText()
    {
        return this.replyText;
    }

    public void setReplyText(String replyText)
    {
        this.replyText = replyText;
    }

    public String getControl1()
    {
        return this.control1;
    }

    public void setControl1(String control1)
    {
        this.control1 = control1;
    }

    public String getControl2()
    {
        return this.control2;
    }

    public void setControl2(String control2)
    {
        this.control2 = control2;
    }

    public String getControl3()
    {
        return this.control3;
    }

    public void setControl3(String control3)
    {
        this.control3 = control3;
    }

    public String getControl4()
    {
        return this.control4;
    }

    public void setControl4(String control4)
    {
        this.control4 = control4;
    }

    public String getControl5()
    {
        return this.control5;
    }

    public void setControl5(String control5)
    {
        this.control5 = control5;
    }
}