/**
 * Title:       Execution queue receiver for ASETS project (ASE Trading System)
 * ClassName:   ExecutionReceiverNoReply.java
 * Created:     November 22, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Execution queue receiver within OpenMQ broker by extending AbstractQueueReceiver class
 */

package asets.api;

import javax.jms.*;


public class ExecutionReceiverNoReply extends AbstractQueueReceiver
{
    public ExecutionReceiverNoReply(String imqAddress, String queueName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, queueName, userID);
    }

    // Receive messages from Execution queue
    public void onMessage(Message message)
    {
        try
        {
            if (message instanceof ObjectMessage)
            {
                if (message.getStringProperty("MSG_TYPE").equals(Enums.MessageType.EXECUTION.toString()))
                {
                    ObjectMessage objectMessage = (ObjectMessage)message;
                    processExecution((Execution)objectMessage.getObject());
                }
            }
        } catch (JMSException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void processExecution(Execution execution) throws Exception
    {

        // TO DO in the the derived class

    }
}
