/**
 * Title:       Execution queue sender for ASETS project (ASE Trading System)
 * ClassName:   ExecutionSenderNoReply.java
 * Created:     November 22, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Execution queue sender, within OpenMQ broker, by extending AbstractQueueSenderNoReply class
 */

package asets.api;

import javax.jms.*;


public class ExecutionSenderNoReply extends AbstractQueueSenderNoReply
{
    public ExecutionSenderNoReply(String imqAddress, String queueName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, queueName, userID);
    }

    // Create and send an Execution message
    public void sendExecution(Execution execution) throws JMSException
    {
        // Construct the message as an ObjectMessage (Execution)
        ObjectMessage message = this.getSession().createObjectMessage();
        message.setObject(execution);

        message.setStringProperty("MSG_TYPE", Enums.MessageType.EXECUTION.toString());

        // TO DO in the the derived class

        this.getSender().send(message);
    }
}

