/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   OrderList.java
 * Created:     December 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements OrderList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class OrderList implements java.io.Serializable
{
    private ArrayDeque<Order> orderList = null;

    /** OrderList constructor
     *
     */
    public OrderList()
    {
        orderList = new ArrayDeque<Order>();
    }

    public void addOrder(Order order)
    {
        this.orderList.offerLast(order);
    }

    public Order getOrder()
    {
        Order localOrder = null;

        if (!orderList.isEmpty())
        {
            localOrder = orderList.pollFirst();
        }

        return localOrder;
    }

    public ArrayDeque<Order> getOrderList()
    {
        return this.orderList;
    }
}
