/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   PortfolioList.java
 * Created:     December 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements PortfolioList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class PortfolioList implements java.io.Serializable
{
    private ArrayDeque<Portfolio> portfolioList = null;

    /** PortfolioList constructor
     *
     */
    public PortfolioList()
    {
        portfolioList = new ArrayDeque<Portfolio>();
    }

    public void addPortfolio(Portfolio portfolio)
    {
        this.portfolioList.offerLast(portfolio);
    }

    public Portfolio getPortfolio()
    {
        Portfolio localPortfolio = null;

        if (!portfolioList.isEmpty())
        {
            localPortfolio = portfolioList.pollFirst();
        }

        return localPortfolio;
    }

    public ArrayDeque<Portfolio> getPortfolioList()
    {
        return this.portfolioList;
    }
}
