/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Price.java
 * Created:     January 5, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Price class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Price implements java.io.Serializable
{
    private String symbol;
    private String marketCode;
    private Date lastTradeTime;
    private float openPrice;
    private float closePrice;
    private double value;
    private long volume;
    private int trades;
    private float lowPrice;
    private float highPrice;
    private float avgPrice;
    private float netChange;
    private float prcChange;
    private float referencePrice;
    private String symbolStatus;
    private Date lastUpdate;

    /** Price constructor
     *
     */
    public Price()
    {
        this.symbol = null;
        this.marketCode = null;
        this.lastTradeTime = null;
        this.openPrice = 0;
        this.closePrice = 0;
        this.value = 0;
        this.volume = 0;
        this.trades = 0;
        this.lowPrice = 0;
        this.highPrice = 0;
        this.avgPrice = 0;
        this.netChange = 0;
        this.prcChange = 0;
        this.referencePrice = 0;
        this.symbolStatus = null;
        this.lastUpdate = null;
    }

     public String getSymbol()
    {
        return this.symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public String getMarketCode()
    {
        return this.marketCode;
    }

    public void setMarketCode(String marketCode)
    {
        this.marketCode = marketCode;
    }

    public Date getLastTradeTime()
    {
        return this.lastTradeTime;
    }

    public void setLastTradeTime(Date lastTradeTime)
    {
        this.lastTradeTime = lastTradeTime;
    }

    public float getOpenPrice()
    {
        return this.openPrice;
    }

    public void setOpenPrice(float openPrice)
    {
        this.openPrice = openPrice;
    }

    public float getClosePrice()
    {
        return this.closePrice;
    }

    public void setClosePrice(float closePrice)
    {
        this.closePrice = closePrice;
    }

    public double getValue()
    {
        return this.value;
    }

    public void setValue(double value)
    {
        this.value = value;
    }

    public long getVolume()
    {
        return this.volume;
    }

    public void setVolume(long volume)
    {
        this.volume = volume;
    }

    public int getTrades()
    {
        return this.trades;
    }

    public void setTrades(int trades)
    {
        this.trades = trades;
    }

    public float getLowPrice()
    {
        return this.lowPrice;
    }

    public void setLowPrice(float lowPrice)
    {
        this.lowPrice = lowPrice;
    }

    public float getHighPrice()
    {
        return this.highPrice;
    }

    public void setHighPrice(float highPrice)
    {
        this.highPrice = highPrice;
    }

    public float getAvgPrice()
    {
        return this.avgPrice;
    }

    public void setAvgPrice(float avgPrice)
    {
        this.avgPrice = avgPrice;
    }

    public float getNetChange()
    {
        return this.netChange;
    }

    public void setNetChange(float netChange)
    {
        this.netChange = netChange;
    }

    public float getPrcChange()
    {
        return this.prcChange;
    }

    public void setPrcChange(float prcChange)
    {
        this.prcChange = prcChange;
    }

    public float getReferencePrice()
    {
        return this.referencePrice;
    }

    public void setReferencePrice(float referencePrice)
    {
        this.referencePrice = referencePrice;
    }

    public String getSymbolStatus()
    {
        return this.symbolStatus;
    }

    public void setSymbolStatus(String symbolStatus)
    {
        this.symbolStatus = symbolStatus;
    }

    public Date getLastUpdate()
    {
        return this.lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate)
    {
        this.lastUpdate = lastUpdate;
    }
}