/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   CARDRectangle.java
 * Created:     March 9, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements CARDRectangle class for ASETS project
 */

package asets.api.collateral;


public class CARDRectangle implements java.io.Serializable
{
    private String name;
    private int xUpLeft;
    private int yUpLeft;
    private int xLength;
    private int yLength;

    /** CARDRectangle constructor
     *
     */
    public CARDRectangle()
    {
        this.name = null;
        this.xUpLeft = 0;
        this.yUpLeft = 0;
        this.xLength = 0;
        this.yLength = 0;
    }

    public String getName()
    {
        return this.name;
    }

    public int getXUpLeft()
    {
        return this.xUpLeft;
    }

    public int getYUpLeft()
    {
        return this.yUpLeft;
    }

    public int getXLength()
    {
        return this.xLength;
    }

    public int getYLength()
    {
        return this.yLength;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public void setXUpLeft(int xUpLeft)
    {
        this.xUpLeft = xUpLeft;
    }

    public void setYUpLeft(int yUpLeft)
    {
        this.yUpLeft = yUpLeft;
    }

    public void setXLength(int xLength)
    {
        this.xLength = xLength;
    }

    public void setYLength(int yLength)
    {
        this.yLength = yLength;
    }
}