/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   CARDRectangleList.java
 * Created:     March 9, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements CARDRectangleList class for ASETS project
 */

package asets.api.collateral;

import java.util.ArrayDeque;


public class CARDRectangleList implements java.io.Serializable
{
    private ArrayDeque<CARDRectangle> cardRectangleList = null;

    /** CARDRectangleList constructor
     *
     */
    public CARDRectangleList()
    {
        cardRectangleList = new ArrayDeque<CARDRectangle>();
    }

    public void addCARDRectangle(CARDRectangle cardRectangle)
    {
        this.cardRectangleList.offerLast(cardRectangle);
    }

    public CARDRectangle getCARDRectangle()
    {
        CARDRectangle localCARDRectangle = null;

        if (!cardRectangleList.isEmpty())
        {
            localCARDRectangle = cardRectangleList.pollFirst();
        }

        return localCARDRectangle;
    }

    public ArrayDeque<CARDRectangle> getCARDRectangleList()
    {
        return this.cardRectangleList;
    }
}
